Bug 949058 - Intel GMA 3150 produces a black activities panel, and black windows at random point of time
Summary: Intel GMA 3150 produces a black activities panel, and black windows at random...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 20
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-05 18:40 UTC by matt
Modified: 2015-06-29 11:51 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 11:51:48 UTC


Attachments (Terms of Use)
lspci output of machine that exposes the bug (1.42 KB, text/plain)
2014-06-09 11:01 UTC, Rolf Fokkens
no flags Details
Zorg.0.log of machine that exposes the bug (18.11 KB, text/x-log)
2014-06-09 11:02 UTC, Rolf Fokkens
no flags Details
yum.log of machine that exposes the bug (18.31 KB, text/x-log)
2014-06-09 11:02 UTC, Rolf Fokkens
no flags Details
Capture of VLC window (81.38 KB, image/png)
2015-06-02 19:10 UTC, Felipe Braga
no flags Details

Description matt 2013-04-05 18:40:31 UTC
Description of problem: Occaionally, any new opened window (explorers, libreoffice, firefox, terminal, etc) will go black and making it unusuable unless I restart X by control alt backspace or restarting the machine. Additionally, any time I use the activities hot corner, the background is black instead of my matching background. These things usually happen sequentially. Upon starting the machine, the activities background shows the background correctly but within 5 or 10 minutes, it goes black, and within 20 minutes, I can't do anything on my computer. This definitely happens after putting my netbook on sleep mode.

This bug may or may not have been fixed but it has not worked on battery power and sometimes doesn't work when plugged in.

I am using a GMA 3150 built in GPU on my Acer Aspire One D257 netbook.


Version-Release number of selected component (if applicable):


How reproducible: Start fedora. Use a couple different applications, windows, or multiple desktop screens for a couple minutes. Possibly put the computer in sleep/hibernate. Then it becomes unusable, only on screens that were left on from sleep mode or were opened previously.

  
Actual results: New windows or applications are completely black and usuable.


Expected results: The application or GUI that would normally be up.


Additional info: pleaseeeeeeeeee fix this? This was a problem for about 2-3 weeks now. If there's no fix, can you roll back the update to the previous driver from months ago?

Comment 1 Emmanuel Touzery 2013-08-25 05:55:36 UTC
I also have this problem (black windows after some use), driver i915, intel g31, fedora 19.
Interestingly, I don't need to reboot to solve the problem: logging out and back in is enough (which is still massively annoying and incapacitating).

NOTE: this is probably the same bug as bug #995871.

Comment 2 bugs 2013-08-26 09:22:42 UTC
I'm experiencing the same problem on a netbook with limited RAM.
When the error occurs the following line appears in /var/log/Xorg.0.log:

  (EE) intel(0): Failed to submit batch buffer, expect rendering corruption: Resource deadlock avoided.

Sadly, there is no further information in the logs.  As Emmanuel reported, logging out and back in is sufficient to fix this.

Not only new application windows are black but also form widgets in the browser and tooltips.


I put the netbook to sleep very often, but due to the difficulty in reproducing the error I cannot say if this ever happens on a "clean boot".

I'm willing to recompile the intel driver to test patches.

Comment 3 bugs 2013-08-26 09:24:02 UTC
I forgot to mention what graphics chip I'm using:

lspci says:

  00:02.0 VGA compatible controller: Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller

Comment 4 Emmanuel Touzery 2013-10-12 14:21:37 UTC
I found this bug there, where people experiencing a similar problem reported that switching to SNA acceleration solved the problem:
https://bugs.mageia.org/show_bug.cgi?id=9044

I just enabled it myself, I can't yet report whether it helps for me, hopefully it'll work because this is really unbearable.

Comment 5 Tom Yates 2013-10-17 13:51:00 UTC
I'm having this problem, both with F18 and F19.  According to lspci, my chip is a

00:02.0 VGA compatible controller: Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller

I've just tried the SNA workaround, and we'll see if that works for me, too.

Comment 6 Emmanuel Touzery 2013-10-17 18:58:44 UTC
For myself, the problem didn't occur again and at this point I'm really 99% that switching to SNA fixed the problem completely.

Comment 7 Emmanuel Touzery 2013-10-20 19:28:16 UTC
There is a regression with SNA for me though, playing a video in vlc yields a black screen when it was working before. By tweaking the video output settings I can get the picture back, but with very poor performance. Totem is fine, but the performance is not as good as I could get with VLC when it was working.

still, between that and black windows after few minutes of use, it's an easy choice.

Comment 8 matt 2013-10-21 14:44:48 UTC
I was the original one who posted this bug report--

I just switched to SNA, I'll let you know if it works.

By the way, I found that installing F19 KDE rather than Gnome has yielded far less graphical bugs for my netbook. Rather than black screens after 10 minutes of use, I "sometimes" get transparent windows rendering everything unusable.

Comment 9 Tom Yates 2013-10-24 08:13:48 UTC
Results from my first week with the SNA workaround are excellent; gone from "more than one restart most days" to "no restart all week".

Comment 10 Harold E. 2013-11-11 13:12:30 UTC
I have the same problem (with menus as well as new windows), both on Cinnamon and Gnome, with Fedora 18 and 19. I have also suspected the sleep mode, so I have disabled it but the bugs are still showing up.
My card given by lspci is the same:
"VGA compatible controller: Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller"

I will try the fix with SNA acceleration.

Comment 11 Harold E. 2013-11-11 13:14:24 UTC
And by the way I have to log out or reboot to get rid off the black screens: replacing the session (with alt+F2, or from another terminal by exporting the display) make the graphic system to crash.

Comment 12 Fedora End Of Life 2013-12-21 12:40:06 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Tom Yates 2013-12-21 12:55:10 UTC
Package Maintainer: if you could change version to "19", that'd be kind - several of the reports above (including mine) confirm that the problem persists in F19.  If I have the guts, I'll back the "fix" out now I'm on F20, and if it persists there, too.

I don't seem to be able to bump the version number myself, or I would.

Comment 14 Mohammed Arafa 2014-01-01 16:14:05 UTC
is this related to bug #995871 if so i have this bug on f20

Comment 15 Emmanuel Touzery 2014-01-01 18:26:55 UTC
I believe it's the same bug but there is not mentioned the SNA fix and also that other bug is also f18 only.

Comment 16 Bruce-Robert Pocock 2014-01-24 18:32:05 UTC
Still reproducible (consistently) on an ASUS netbook, user reports: "the black boxes instead of dialog boxes still coming up after an even shorter amount of time" … as a problem that's worsened since F-17 → F-20. Sent her a patch to add the SNA config option, but I'm not sure why this wouldn't be fixed out-of-tthe-box (does SNA present some challenges to other users?)

"/etc/X11/xorg.conf.d/20-intel.conf"

Section "Device"
   Identifier  "Intel Graphics"
   Driver      "intel"
   Option      "AccelMethod"  "sna"
EndSection

Comment 17 Mohammed Arafa 2014-01-27 02:19:02 UTC
lspci output:

00:00.0 Host bridge: Intel Corporation 82Q35 Express DRAM Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82Q35 Express Integrated Graphics Controller (rev 02)
00:02.1 Display controller: Intel Corporation 82Q35 Express Integrated Graphics Controller (rev 02)
00:03.0 Communication controller: Intel Corporation 82Q35 Express MEI Controller (rev 02)
00:03.2 IDE interface: Intel Corporation 82Q35 Express PT IDER Controller (rev 02)
00:03.3 Serial controller: Intel Corporation 82Q35 Express Serial KT Controller (rev 02)
00:19.0 Ethernet controller: Intel Corporation 82566DM-2 Gigabit Network Connection (rev 02)
00:1a.0 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 02)
00:1a.2 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 02)
00:1a.7 USB controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 02)
00:1d.0 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 02)
00:1d.7 USB controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 92)
00:1f.0 ISA bridge: Intel Corporation 82801IO (ICH9DO) LPC Interface Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801IR/IO/IH (ICH9R/DO/DH) 4 port SATA Controller [IDE mode] (rev 02)
00:1f.5 IDE interface: Intel Corporation 82801I (ICH9 Family) 2 port SATA Controller [IDE mode] (rev 02)

#####
workaround: disable all animation on kde from the kde system settings control panel.
havent had that issue show up again since and i have absolutely no objection to disabling any sort of animation.

Comment 18 Fedora End Of Life 2014-02-05 20:28:20 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 19 Bruce-Robert Pocock 2014-02-05 20:31:06 UTC
Can this be reopened and reparented to "Fedora 20" please? This issue persists.

Comment 20 Rolf Fokkens 2014-05-30 19:47:01 UTC
Followed the suggestion of comment #19, because the problem is present in F20 indeed!

I noticed the issue on a friend's computer, I'll get more hardware details later.

Comment 21 Rolf Fokkens 2014-06-09 11:01:40 UTC
Created attachment 904609 [details]
lspci output of machine that exposes the bug

Comment 22 Rolf Fokkens 2014-06-09 11:02:21 UTC
Created attachment 904610 [details]
Zorg.0.log of machine that exposes the bug

Comment 23 Rolf Fokkens 2014-06-09 11:02:54 UTC
Created attachment 904611 [details]
yum.log of machine that exposes the bug

Comment 24 Rolf Fokkens 2014-06-09 11:10:01 UTC
Comment #16 seems to have fixed the issue in this case as well. I attached some potentially relevant log/lis files from the PC that exposes the issue.

These files are from after the fix from comment #16.

The yum.log file may be interesting because the issue was exposed from (about) May 28 to May 30. At  May 30 I applied the comment #16 fix, which seems to have solved the issue.

Comment 25 Felipe Braga 2015-05-08 21:36:56 UTC
The same problem is occurring here in F22 with (from lspci):

00:02.0 VGA compatible controller: Intel Corporation 82Q35 Express Integrated Graphics Controller (rev 02)

After installing F22 (this issue occurred on Debian), I've got corrupted graphics with it (images wrong displayed, almost unreadable text) - tried the fix in https://bugzilla.redhat.com/show_bug.cgi?id=949058#c16, but it not solved the issue (it seemed to have no effect at all...).

Based on https://bugzilla.redhat.com/show_bug.cgi?id=949058#c16 and some googling, I've tried it:

################# begin file in /etc/X11/xorg.conf.d/ #################
Section "Device"
   Identifier  "Intel Graphics"
   Driver      "intel"
   Option      "AccelMethod"  "uxa"
EndSection
################# end file #################

... it corrected the graphics (images displayed correctly!), but the black boxes occurred again (like on Debian)...

Comment 26 Fedora End Of Life 2015-05-29 08:58:30 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 27 Felipe Braga 2015-05-29 18:09:39 UTC
Since it remains occurring (some adicional info here: http://www.forums.fedoraforum.org/showthread.php?t=304371 ), I ask to reassign it to Fedora 22 :-)

Comment 28 Felipe Braga 2015-05-29 18:17:18 UTC
Enabling SNA acceleration leads to it here: https://www.youtube.com/watch?v=RdPf8SLv_k0&feature=youtu.be

Comment 29 Felipe Braga 2015-06-02 19:10:04 UTC
Created attachment 1033983 [details]
Capture of VLC window

It seems to bem the only window affected

Comment 30 Fedora End Of Life 2015-06-29 11:51:48 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.